# Uses of Class
org.bukkit.event.entity.EntityDamageEvent

Packages that use EntityDamageEvent
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EntityDamageEvent in org.bukkit.entity

Methods in org.bukkit.entity that return EntityDamageEvent
Modifier and Type
Method
Description
`@Nullable EntityDamageEvent`
Entity.`getLastDamageCause()`
Retrieve the last `EntityDamageEvent` inflicted on this entity.
Methods in org.bukkit.entity with parameters of type EntityDamageEvent
Modifier and Type
Method
Description
`void`
Entity.`setLastDamageCause(@Nullable EntityDamageEvent event)`
Record the last `EntityDamageEvent` inflicted on this entity

## Uses of EntityDamageEvent in org.bukkit.event.entity

Subclasses of EntityDamageEvent in org.bukkit.event.entity
Modifier and Type
Class
Description
`class`
`EntityDamageByBlockEvent`
Called when an entity is damaged by a block
`class`
`EntityDamageByEntityEvent`
Called when an entity is damaged by an entity